PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PVXMLPlayableData Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableData:
[legend]
Collaboration diagram for PVXMLPlayableData:
[legend]

## Public Member Functions
virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
void | SetData (const PBYTEArray &data)
virtual bool | OnStart ()
virtual bool | OnRepeat ()
Public Member Functions inherited from PVXMLPlayable
| PVXMLPlayable ()
virtual bool | OnDelay ()
virtual void | OnStop ()
virtual void | SetRepeat (PINDEX v)
virtual PINDEX | GetRepeat () const
virtual PINDEX | GetDelay () const
void | SetFormat (const PString &fmt)
void | SetSampleFrequency (unsigned rate)
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes
PBYTEArray | m_data
Protected Attributes inherited from PVXMLPlayable
PVXMLChannel * | m_vxmlChannel
PChannel * | m_subChannel
PINDEX | m_repeat
PINDEX | m_delay
PString | m_format
unsigned | m_sampleFrequency
bool | m_autoDelete
bool | m_delayDone
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Member Function Documentation

virtual bool PVXMLPlayableData::OnRepeat | ( |  | ) |
| virtual

Reimplemented from PVXMLPlayable.

virtual bool PVXMLPlayableData::OnStart | ( |  | ) |
| virtual

Implements PVXMLPlayable.

virtual PBoolean PVXMLPlayableData::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete
| ) |  |
| virtual

Reimplemented from PVXMLPlayable.

Reimplemented in PVXMLPlayableTone.

void PVXMLPlayableData::SetData | ( | const PBYTEArray & | data | ) |

## Member Data Documentation

PBYTEArray PVXMLPlayableData::m_data
| protected

The documentation for this class was generated from the following file:

- vxml.h